
.AUTODEPEND
#               *Local definitions

#
# Define this next to get it to build in an A20 routine for use without
# XMS
#
RAWA20 = -DRAWA20
#		*Translator Definitions*
TASM = TASM -Dsizeof=size $(RAWA20) /zi /m2 /i$(INCLUDEPATH)
TLIB = tlib
TLINK = tlink

#		*Implicit Rules*
.asm.obj:
  &$(TASM) $? 

.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }


#		*List Macros*
    
EXE_dependencies =  \
asm.obj \
asmops.obj \
breaks.obj \
compare.obj \
cpuid.obj \
dis.obj \
dispatch.obj \
dos.obj \
drive.obj \
dump.obj \
entry.obj \
env.obj \
exec.obj \
fill.obj \
fileio.obj \
fp.obj \
hbreak.obj \
help.obj \
history.obj \
inout.obj \
input.obj \
ints.obj \
logging.obj \
loader.obj \
math.obj \
memory.obj \
move.obj \
mtrap.obj \
opcodes.obj \
opcom.obj \
operands.obj \
options.obj \
pci.obj \
prints.obj \
regs.obj  \
search.obj \
swift.obj
#		*Explicit Rules*
grdb.exe: $(EXE_dependencies)
  $(TLINK) /3/v/m/s/L$(LIBPATH) @&&|
$(EXE_dependencies)
grdb.exe
grdb.map
	# NO Lib file
|
link:
  $(TLINK) /3/v/m/s/L$(LIBPATH) @&&|
$(EXE_dependencies)
grdb.exe
grdb.map
	# NO Lib file
|

clean:
	del *.bak
	del *.obj
	del *.t*

move:
	tdstrip *.exe
	move *.exe \util\lang